LibreOffice: NumberingLevel Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Public Attributes | List of all members
NumberingLevel Service Referencepublished

provides access to a numbering level as part of the Numbering Rules. More...

`import"NumberingLevel.idl";`

## Public Attributes
short | Adjust
| adjusts the numbering (HoriOrientation_LEFT/RIGHT/CENTER) More...
short | ParentNumbering
| number of upper levels that are included in the current numbering symbol. More...
string | Prefix
| the prefix of the numbering symbol. More...
string | Suffix
| the suffix of the numbering symbol. More...
string | CharStyleName
| Name of the character style that is used for the numbering symbol. More...
short | BulletId
| the ID of the symbol in the given font. More...
string | BulletChar
| contains the symbol in the given font. More...
string | BulletFontName
| the name of the font for the symbol. More...
com::sun::star::awt::FontDescriptor | BulletFont
| the font used to paint the bullet. More...
string | GraphicURL
| the URL of the graphic file that is used as the numbering symbol. More...
com::sun::star::awt::XBitmap | GraphicBitmap
| the bitmap containing the bullet. More...
com::sun::star::awt::Size | GraphicSize
| size of the graphic that is used as bullet. More...
short | VertOrient
| contains the vertical orientation of a graphic. More...
short | StartWith
| specifies the start value for the numbering. More...
long | LeftMargin
| specifies the left margin of the numbering More...
long | SymbolTextDistance
| specifies the distance between the numbering symbol and the text of the paragraph. More...
long | FirstLineOffset
| specifies the offset between the beginning of the first line and the beginning of the following lines of the paragraph. More...
short | NumberingType
| specifies the type of numbering. More...
string | HeadingStyleName
| contains the name of the paragraph style that is interpreted as the header of this level. More...
string | ParagraphStyleName
| contains the name of the paragraph style that should use this numbering. More...
com::sun::star::util::Color | BulletColor
| contains the color for the symbol. More...
short | BulletRelSize
| contains the size of the symbol relative to the high of the paragraph. More...
short | PositionAndSpaceMode
| position and space mode More...
short | LabelFollowedBy
| character following the list label More...
long | ListtabStopPosition
| list tab position More...
long | FirstLineIndent
| additional line indent for the first text line More...
long | IndentAt
| indentation of the text lines More...

## Detailed Description

provides access to a numbering level as part of the Numbering Rules.

## Member Data Documentation

## § Adjust

short Adjust
| property

adjusts the numbering (HoriOrientation_LEFT/RIGHT/CENTER)

## § BulletChar

string BulletChar
| property

contains the symbol in the given font.

This is only valid if the numbering type is com::sun::star::style::NumberingType::CHAR_SPECIAL.

## § BulletColor

com::sun::star::util::Color BulletColor
| optionalproperty

contains the color for the symbol.

This is only valid if the numbering type is com::sun::star::style::NumberingType::CHAR_SPECIAL.

## § BulletFont

com::sun::star::awt::FontDescriptor BulletFont
| optionalproperty

the font used to paint the bullet.

## § BulletFontName

string BulletFontName
| property

the name of the font for the symbol.

This is only valid if the numbering type is com::sun::star::style::NumberingType::CHAR_SPECIAL.

## § BulletId

short BulletId
| optionalproperty

the ID of the symbol in the given font.

This is only valid if the numbering type is com::sun::star::style::NumberingType::CHAR_SPECIAL.

Deprecated:

## § BulletRelSize

short BulletRelSize
| optionalproperty

contains the size of the symbol relative to the high of the paragraph.

This is only valid if the numbering type is com::sun::star::style::NumberingType::CHAR_SPECIAL.

## § CharStyleName

string CharStyleName
| optionalproperty

Name of the character style that is used for the numbering symbol.

## § FirstLineIndent

long FirstLineIndent
| optionalproperty

additional line indent for the first text line

Specifies the first line indent. Only of relevance, if PositionAndSpaceMode equals LABEL_ALIGNMENT.

Since
  OOo 3.0

## § FirstLineOffset

long FirstLineOffset
| property

specifies the offset between the beginning of the first line and the beginning of the following lines of the paragraph.

## § GraphicBitmap

com::sun::star::awt::XBitmap GraphicBitmap
| optionalproperty

the bitmap containing the bullet.

## § GraphicSize

com::sun::star::awt::Size GraphicSize
| optionalproperty

size of the graphic that is used as bullet.

## § GraphicURL

string GraphicURL
| property

the URL of the graphic file that is used as the numbering symbol.

This is only valid if the numbering type is com::sun::star::style::NumberingType::BITMAP.

## § HeadingStyleName

string HeadingStyleName
| property

contains the name of the paragraph style that is interpreted as the header of this level.

It is only contained in the levels of chapter numbering rules.

## § IndentAt

long IndentAt
| optionalproperty

indentation of the text lines

Specifies the indent of the text lines Only of relevance, if PositionAndSpaceMode equals LABEL_ALIGNMENT.

Since
  OOo 3.0

## § LabelFollowedBy

short LabelFollowedBy
| optionalproperty

character following the list label

Specifies the character following the list label. For valid values see com::sun::star::text::LabelFollow. Only of relevance, if PositionAndSpaceMode equals LABEL_ALIGNMENT.

Since
  OOo 3.0

## § LeftMargin

long LeftMargin
| property

specifies the left margin of the numbering

## § ListtabStopPosition

long ListtabStopPosition
| optionalproperty

list tab position

Specifies the position of the list tab stop - only non-negative values are allowed. Only of relevance, if PositionAndSpaceMode equals LABEL_ALIGNMENT and LabelFollowedBy equal LABELFOLLOW_LISTTAB

Since
  OOo 3.0

## § NumberingType

short NumberingType
| property

specifies the type of numbering.

## § ParagraphStyleName

string ParagraphStyleName
| optionalproperty

contains the name of the paragraph style that should use this numbering.

This is ignored for chapter numbering rules, use HeadingStyleName.

Since
  LibreOffice 3.6

## § ParentNumbering

short ParentNumbering
| optionalproperty

number of upper levels that are included in the current numbering symbol.

## § PositionAndSpaceMode

short PositionAndSpaceMode
| optionalproperty

position and space mode

Specifies the position and space mode of the numbering level. For valid values see com::sun::star::text::PositionAndSpaceMode. If it equals LABEL_WIDTH_AND_POSITION, properties Adjust, LeftMargin, SymbolTextDistance and FirstLineOffset are used. If it equals LABEL_ALIGNMENT, properties Adjust, LabelFollowedBy, ListtabStopPosition, FirstLineIndent, IndentAt are used.

Since
  OOo 3.0

## § Prefix

string Prefix
| property

the prefix of the numbering symbol.

## § StartWith

short StartWith
| optionalproperty

specifies the start value for the numbering.

This property is only valid if the numbering type is not com::sun::star::style::NumberingType::BITMAP or com::sun::star::style::NumberingType::CHAR_SPECIAL.

## § Suffix

string Suffix
| property

the suffix of the numbering symbol.

## § SymbolTextDistance

long SymbolTextDistance
| optionalproperty

specifies the distance between the numbering symbol and the text of the paragraph.

## § VertOrient

short VertOrient
| optionalproperty

contains the vertical orientation of a graphic.

It is set using com::sun::star::text::VertOrientation.

The documentation for this service was generated from the following file:

- com/sun/star/text/NumberingLevel.idl